com.tibco.ep.sb.ads

## Class ArtifactDescriptor

- java.lang.Object
- - com.tibco.ep.sb.ads.ArtifactDescriptor

-     public class ArtifactDescriptor
      extends Object

  Container for the meta-data used to register for an artifact.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LATEST_VERSION` Version string representing the latest version of an artifact

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDescriptor(String type, String name, String version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `boolean` | `getRequiredAtStartup()`
    `String` | `getType()`
    `String` | `getVersion()`
    `void` | `setRequiredAtStartup(boolean value)` Sets whether or not the artifact must be available at startup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LATEST_VERSION

          public static final String LATEST_VERSION

      Version string representing the latest version of an artifact
      Since:
        10.2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArtifactDescriptor

          public ArtifactDescriptor(String type,
                                    String name,
                                    String version)

      Parameters:
        `type` - Artifact type
        `name` - Artifact name
        `version` - Artifact version, or LATEST_VERSION to specify the latest version of the artifact

  - ### Method Detail

    - #### setRequiredAtStartup

          public void setRequiredAtStartup(boolean value)

      Sets whether or not the artifact must be available at startup.

      The required at startup attribute defaults to false

      Parameters:
        `value` - true if the artifact must be available at startup, false otherwise

    - #### getType

          public String getType()

      Returns:
        artifact type

    - #### getName

          public String getName()

      Returns:
        artifact name

    - #### getVersion

          public String getVersion()

      Returns:
        artifact version

    - #### getRequiredAtStartup

          public boolean getRequiredAtStartup()

      Returns:
        true if the artifact must be available at startup, otherwise false

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.